Index: /trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- /trunk/expressoMail1_2/js/draw_api.js	(revision 5600)
+++ /trunk/expressoMail1_2/js/draw_api.js	(revision 5604)
@@ -1341,5 +1341,5 @@
 						return $(DataLayer.render('../prototype/modules/mail/templates/draggin_box.ejs', {texto : $(this).find(".td_msg_subject").text(), type: "messages"}));
 				},
-				cursorAt: { cursor: "move", top: 5, left: 56 },
+				cursorAt: {cursor: "move", top: 5, left: 56},
 				refreshPositions: true ,
 				scroll: true, 
@@ -2966,5 +2966,5 @@
 				['=', 'folderName', current_folder], 
 				['=','messageNumber',folder_id]], 
-			criteria : { deepness: 2}}  );
+			criteria : {deepness: 2}} );
 	
 	if(labels.length != 0){
@@ -3421,5 +3421,7 @@
 	var form = document.createElement("FORM");
 	form.name = "form_message_"+ID;
+        form.id = "form_message_"+ID;
 	form.method = "POST";
+        form.action = "message:detail";
 	form.onsubmit = function(){return false;}
 	if(!is_ie)
@@ -3427,4 +3429,10 @@
 	else
 		form.encoding="multipart/form-data";
+       
+        var aba_id = document.createElement("INPUT");
+        aba_id.style.display='none';
+        aba_id.name = "abaID";
+        aba_id.value = ID;
+        form.appendChild(aba_id);        
 /////////////////////////////////////////////////////////////////////////////////////////////////////////
 	//ConstructMenuNewMessage(ID);
@@ -4007,28 +4015,228 @@
 	};
 
-	var add_files = document.createElement("A");
-	add_files.setAttribute("href", "javascript:void(0)");
-	add_files.onclick = function () {
-		var obj = addFile(ID);
-		if (preferences.auto_save_draft == 1 && obj) {
-			if ( obj.addEventListener ){
-				obj.addEventListener('click', save_onchange_attachment_handler, false);
-			}
-		}
-		return false;
- 	};
-	
-	add_files.innerHTML =  get_lang("Attachments: add+");
-	add_files.setAttribute("tabIndex","-1");
-	
-	var add_msgs = document.createElement("A");
-	add_msgs.setAttribute("href", "javascript:void(0)");
-	add_msgs.setAttribute("tabIndex","-1");
-	is_ie ? add_msgs.setAttribute("className", 'message-attach-link') : add_msgs.setAttribute("class", 'message-attach-link');
-	add_msgs.innerHTML =  get_lang("Messages: add+");
-	var divfiles = document.createElement("DIV");
-	divfiles.id = "divFiles_"+ID;
-
-	jQuery(add_msgs).click(function(event){
+
+	var tr5 = document.createElement("TR");
+	var td5_link = document.createElement("TD");
+	var td5_input = document.createElement("TD");
+	td5_input.innerHTML = "&nbsp;"
+	td5_link.setAttribute("valign","top");
+	$(td5_link).append('<div id="message-attach-dialog" title="'+get_lang('Select messages to attach...')+'"> </div>');
+        $(td5_link).prepend(DataLayer.render("../prototype/modules/mail/templates/attachment.ejs", {ID:ID}));
+	tr5.appendChild(td5_input);
+	tr5.appendChild(td5_link);
+        
+	tbody_message.appendChild(tr5);
+	var tr6 = document.createElement("TR");
+	var td6_link  = document.createElement("TD");
+	var td6_input = document.createElement("TD");
+	tr6.appendChild(td6_link);
+	
+	tr6.appendChild(td6_input);
+	tbody_message.appendChild(tr6);
+
+	var tr7 = document.createElement("TR");
+	//var td5 = document.createElement("TD");
+	//td5.innerHTML = "&nbsp;";
+	var td_body = document.createElement("TD");
+	td_body.setAttribute("colSpan","2");
+	var div_body_position = document.createElement("DIV");
+	div_body_position.id = "body_position_" + ID;
+	td_body.appendChild(div_body_position);
+	//tr5.appendChild(td5);
+	tr7.appendChild(td_body);
+	tbody_message.appendChild(tr7);
+   	var _div = document.createElement("DIV");
+	_div.id = "div_message_scroll_"+ID;
+	_div.style.overflow = "auto";
+	_div.style.width = "100%";
+
+	// Hide the contac tips and re-position the pallete color.
+	_div.onscroll = function() {
+		var intElemScrollTop = Element("div_message_scroll_"+ID).scrollTop;
+		if (!is_ie)
+			ColorPalette.repos(intElemScrollTop);
+		Tooltip.scrollChanged();
+	};
+//////////////////////////////////////////////////////////////////////////////////////////////////////
+	_div.appendChild(form);
+	content.appendChild(_div);
+	table_message.appendChild(tbody_message);
+	form.appendChild(table_message);
+                
+        var attDisposition = document.createElement("INPUT");
+	attDisposition.style.display='none';
+        attDisposition.id = 'attDisposition'+ID;
+	attDisposition.name = 'attDisposition'+ID;
+	attDisposition.value = 'attachment';
+        form.appendChild(attDisposition);
+        
+	RichTextEditor.loadEditor(ID);
+	
+	var rich_button = document.createElement("button");
+	
+	if(preferences.plain_text_editor == 1){
+		var texto = get_lang("Rich Text");
+	}else{
+		var texto = get_lang("Simple Text");
+	}
+		
+	rich_button.innerHTML = texto;
+	rich_button.className = "button small rich-button";
+	rich_button.name = "textplain_rt_checkbox_"+ID;
+	
+//////////////////////////////////////////////////////////////////////////////////////////////////////
+	if(!expresso_offline)
+		draw_from_field(sel_from,tr1_1);
+		
+	resizeWindow();
+
+	if ( ! expresso_offline )
+	{
+			if ( mobile_device )
+			{
+					text_plain.click( );
+					text_plain.parentNode.style.display = 'none';
+			}
+	}
+	//var a_cc_link2 = document.createElement("button");
+	
+	$("#another_adress_"+ID).append(a_cc_link);
+	
+	if(a_cco_link != undefined)
+		$("#another_adress_"+ID).append(a_cco_link);
+		
+	$("#another_adress_"+ID).append(rich_button);
+	
+	$("#to_"+ID).elastic().unbind('blur');	
+	$(".another_adress").button();
+	$(".rich-button").button();
+	$(".rich-button").click(function(){
+		//TO-DO : Se o usuário clicar varias vezes no botão, a função de iniciar o ckeditor se perde e morre.
+		$(this).button({disabled: true});
+		if($(this).find("span:first-child").html() == get_lang("Rich text")){
+			$(this).find("span:first-child").html(get_lang("Simple Text"));
+		}else{
+			$(this).find("span:first-child").html(get_lang("Rich Text"));
+		}
+		
+		var check = $("#"+$(this).attr("name")).attr("checked");
+		$("#"+$(this).attr("name")).attr("checked", (!check ? true : false));
+		$("#"+$(this).attr("name")).trigger('click');
+		$("#"+$(this).attr("name")).attr("checked", (!check ? true : false));
+		//$(this).button({ disabled: false });
+		if (RichTextEditor.plain[id] != true) 
+			setTimeout("RichTextEditor.focus("+ID+")",100);                  
+		else  
+			$('#body_'+ID).focus();
+	});
+	
+	if($("#send_and_custom_save_"+ID)[0])
+		$("#send_and_custom_save_"+ID).button({
+			icons : {
+				primary :"expressomail-icon-save_and_send"
+			}
+		})
+	$("#content_id_"+ID).find(".adress_button").button().click(function(){
+		emQuickSearch($("#"+($(this).attr("name"))+"_"+ID).val(), $(this).attr("name"), ID, undefined, true);
+	});
+	
+	$("#send_button_"+ID).button({
+		icons : {
+			primary : "expressomail-icon-send"
+		}
+	}).next().button({
+		icons : {
+			primary : "expressomail-icon-save"
+		}
+	});
+	$("#content_id_"+ID).find("[name=return_receipt_"+ID+"]").button({
+		icons : {
+			primary : "expressomail-icon-read-confirmation"
+		}
+	});
+	$("#important_message_options_"+ID).button({
+		icons : {
+			primary : "expressomail-icon-important"
+		}
+	});
+	$("#return_digital_options_"+ID).button({
+		icons : {
+			primary : "expressomail-icon-signature"
+		}
+	});
+	$("#return_cripto_options_"+ID).button({
+		icons : {
+			primary : "expressomail-icon-encryption"
+		}
+	});
+	
+	$("#content_id_"+ID).find(".send_option").click(function(){
+		var check = $("#"+$(this).attr("name")).attr("checked");
+		$("#"+$(this).attr("name")).attr("checked", (!check ? true : false));
+		$(this).toggleClass("expressomail-button-icon-ative");
+	});
+        
+        var fileUploadMSG = $('#fileupload_msg'+ID);
+        var maxAttachmentSise = (preferences.max_attachment_size !== "" && preferences.max_attachment_size != 0) ? (parseInt(preferences.max_attachment_size.replace('M', '')) * 1048576 ) : false;
+
+	fileUploadMSG.fileupload({
+		sequentialUploads: true,
+		add: function (e, data) {
+			if(!maxAttachmentSise || data.files[0].size < maxAttachmentSise) {
+				setTimeout(function() {
+                                        $('#attDisposition'+ID).val('attachment');
+					data.submit();
+				}, 5000);
+			}
+		},
+		change: function (e, data) {
+			$.each(data.files, function (index, file) {
+				var attach = {};
+				attach.fullFileName = file.name;
+				attach.fileName = file.name;
+				if(file.name.length > 10)
+					attach.fileName = file.name.substr(0, 18) + "..." + file.name.substr(file.name.length-9, file.name.length);
+				attach.fileSize = formatBytes(file.size);
+				if(maxAttachmentSise && file.size > maxAttachmentSise)
+					attach.error = 'Tamanho de arquivo nao permitido!!'
+								
+				fileUploadMSG.find('.attachments-list').append(DataLayer.render("../prototype/modules/mail/templates/attachment_add_itemlist.ejs", {file : attach}));
+
+				if(!maxAttachmentSise || file.size < maxAttachmentSise){
+					fileUploadMSG.find('.fileinput-button.new').append(data.fileInput[0]).removeClass('new');
+					fileUploadMSG.find('.attachments-list').find('[type=file]').addClass('hidden');	
+				}else
+					fileUploadMSG.find(' .fileinput-button.new').removeClass('new');
+				
+				fileUploadMSG.find(' .attachments-list').find('.button.close').button({
+					icons: {
+						primary: "ui-icon-close"
+					},
+					text: false
+				}).click(function(){
+					var idAttach = $(this).parent().find('input[name="fileId[]"]').val();
+					fileUploadMSG.find(' .attachments-list').find('input[value="'+idAttach+'"]').remove();
+                                        delAttachment(ID, idAttach)
+					$(this).parent().remove();
+				});
+
+		})},
+
+		done: function(e, data){
+			if(!!data.result && data.result != "[]"){
+				var newAttach = jQuery.parseJSON(data.result);
+				fileUploadMSG.find('.in-progress:first').parents('p').append('<input type="hidden" name="fileId[]" value="'+newAttach['mailAttachment'][0][0].id+'"/>');
+                                addAttachment(ID,newAttach['mailAttachment'][0][0].id);
+                                
+			}else {
+				fileUploadMSG.find(' .progress.on-complete:first').removeClass('on-complete').parents('p').find('.status-upload').addClass('ui-icon ui-icon-cancel');
+			}
+                        fileUploadMSG.find(' .in-progress:first').remove();
+				
+                    
+		}
+	});
+
+       fileUploadMSG.find("span.message-attach-link").click(function(event){
 		jQuery('#message-attach-dialog').html(DataLayer.render("../prototype/modules/attach_message/attach_message.ejs", {}));
 		jQuery('#message-attach-dialog').dialog({
@@ -4043,19 +4251,23 @@
 		jQuery.getScript("../prototype/modules/attach_message/attach_message.js", function(){
 			jQuery('#message-attach-dialog').dialog('open');
-			
 			jQuery('#message-attach-attach-btn').click(function(event){
-				//alert(dump(selectedMessages));../
 				jQuery.each(selectedMessages, function(folder_name, messages) {
-				  
-					var isOffline = /^local_messages/.test(folder_name);
-
 					jQuery.each(selectedMessages[folder_name], function(message_number, message) { 
 						if (message) {
-							var subject = onceOpenedMessages[folder_name][message_number].subject;
-							var text_input  = '<input type="text" name="message_attachments['+folder_name+']['+message_number+']" value="'+subject+'"/>';
-							text_input += '<a href="javascript:void(0)" onclick="javascript:this.parentNode.parentNode.removeChild(this.parentNode);">' + get_lang("Remove")+'</a>';
-							if( isOffline )
-								text_input += '<input type="hidden" name="message_attachments_content['+folder_name+']['+message_number+']" value="'+Base64.encode( onceOpenedMessages[folder_name][message_number].eml )+'"/>';
-							jQuery(divfiles).append('<div>'+text_input+'</div>');
+                                                        var att = new Object();
+                                                        att.foder = folder_name;
+                                                        att.uid = message_number;
+                                                        att.name = onceOpenedMessages[folder_name][message_number].subject + '.eml';
+                                                        var idATT = JSON.stringify(att);
+                                                        addAttachment( ID , idATT);                        
+                                                        var attach = {};
+                                                        attach.fileName = att.name
+                                                        attach.fileSize = formatBytes(onceOpenedMessages[folder_name][message_number].size);
+                                                        var upload = $(DataLayer.render("../prototype/modules/mail/templates/attachment_add_itemlist.ejs", {file : attach}));
+                                                        upload.find('.status-upload').remove();
+                                                        upload.find('.in-progress').remove(); 
+                                                        upload.find('p').append('<input type="hidden" name="fileId[]" value=\''+idATT+'\'/>');
+                                                        fileUploadMSG.find('.attachments-list').append(upload);
+                                                        
 						}
 
@@ -4064,169 +4276,26 @@
 				
 				jQuery('#message-attach-dialog').dialog('close');
+				
+				//botao fechar
+				$('.attachments-list').find('.button.close').button({
+					icons: {
+						primary: "ui-icon-close"
+					},
+					text: false
+				}).click(function(){
+					var idAttach = $(this).parent().find('input[name="fileId[]"]').val();
+					fileUploadMSG.find(' .attachments-list').find('input[value="'+idAttach+'"]');
+                                        delAttachment(ID,idAttach); 
+					$(this).parent().remove();
+				});	
+				
 			});
 			jQuery('#message-attach-cancel-btn').click(function(event){
 				jQuery('#message-attach-dialog').dialog('close');
-			});
+			});			
 		});
+
 	});
-	var tr5 = document.createElement("TR");
-	var td5_link = document.createElement("TD");
-	var td5_input = document.createElement("TD");
-	td5_input.innerHTML = "&nbsp;"
-	//td5_input.style.width = "1%";
-	td5_link.setAttribute("valign","top");
-	//td5_link.setAttribute("colSpan","2");
-	td5_link.appendChild(add_files);
-	td5_link.appendChild(add_msgs);
-	$(td5_link).append('<div id="message-attach-dialog" title="'+get_lang('Select messages to attach...')+'"> </div>');
-	tr5.appendChild(td5_input);
-	tr5.appendChild(td5_link);
-	tbody_message.appendChild(tr5);
-	var tr6 = document.createElement("TR");
-	var td6_link  = document.createElement("TD");
-	var td6_input = document.createElement("TD");
-	//td6_link.style.width = "1%";
-	tr6.appendChild(td6_link);
-	td6_input.appendChild(divfiles);
-	tr6.appendChild(td6_input);
-	tbody_message.appendChild(tr6);
-//////////////////////////////////////////////////////////////////////////////////////////////////////
-	var tr5 = document.createElement("TR");
-	//var td5 = document.createElement("TD");
-	//td5.innerHTML = "&nbsp;";
-	var td_body = document.createElement("TD");
-	td_body.setAttribute("colSpan","2");
-	var div_body_position = document.createElement("DIV");
-	div_body_position.id = "body_position_" + ID;
-	td_body.appendChild(div_body_position);
-	//tr5.appendChild(td5);
-	tr5.appendChild(td_body);
-	tbody_message.appendChild(tr5);
-   	var _div = document.createElement("DIV");
-	_div.id = "div_message_scroll_"+ID;
-	_div.style.overflow = "auto";
-	_div.style.width = "100%";
-
-	// Hide the contac tips and re-position the pallete color.
-	_div.onscroll = function() {
-		var intElemScrollTop = Element("div_message_scroll_"+ID).scrollTop;
-		if (!is_ie)
-			ColorPalette.repos(intElemScrollTop);
-		Tooltip.scrollChanged();
-	};
-//////////////////////////////////////////////////////////////////////////////////////////////////////
-	_div.appendChild(form);
-	content.appendChild(_div);
-	table_message.appendChild(tbody_message);
-	form.appendChild(table_message);
-	RichTextEditor.loadEditor(ID);
-	
-	var rich_button = document.createElement("button");
-	
-	if(preferences.plain_text_editor == 1){
-		var texto = get_lang("Rich Text");
-	}else{
-		var texto = get_lang("Simple Text");
-	}
-		
-	rich_button.innerHTML = texto;
-	rich_button.className = "button small rich-button";
-	rich_button.name = "textplain_rt_checkbox_"+ID;
-	
-//////////////////////////////////////////////////////////////////////////////////////////////////////
-	if(!expresso_offline)
-		draw_from_field(sel_from,tr1_1);
-		
-	resizeWindow();
-
-	if ( ! expresso_offline )
-	{
-			if ( mobile_device )
-			{
-					text_plain.click( );
-					text_plain.parentNode.style.display = 'none';
-			}
-	}
-	//var a_cc_link2 = document.createElement("button");
-	
-	$("#another_adress_"+ID).append(a_cc_link);
-	
-	if(a_cco_link != undefined)
-		$("#another_adress_"+ID).append(a_cco_link);
-		
-	$("#another_adress_"+ID).append(rich_button);
-	
-	$("#to_"+ID).elastic().unbind('blur');
-	//$(".mail_fields");
-	//$(".mail_fields").css("width","100%");
-	
-	$(".another_adress").button();
-	$(".rich-button").button();
-	$(".rich-button").click(function(){
-		//TO-DO : Se o usuário clicar varias vezes no botão, a função de iniciar o ckeditor se perde e morre.
-		$(this).button({disabled: true});
-		if($(this).find("span:first-child").html() == get_lang("Rich text")){
-			$(this).find("span:first-child").html(get_lang("Simple Text"));
-		}else{
-			$(this).find("span:first-child").html(get_lang("Rich Text"));
-		}
-		
-		var check = $("#"+$(this).attr("name")).attr("checked");
-		$("#"+$(this).attr("name")).attr("checked", (!check ? true : false));
-		$("#"+$(this).attr("name")).trigger('click');
-		$("#"+$(this).attr("name")).attr("checked", (!check ? true : false));
-		//$(this).button({ disabled: false });
-		if (RichTextEditor.plain[id] != true) 
-			setTimeout("RichTextEditor.focus("+ID+")",100);                  
-		else  
-			$('#body_'+ID).focus();
-	});
-	
-	if($("#send_and_custom_save_"+ID)[0])
-		$("#send_and_custom_save_"+ID).button({
-			icons : {
-				primary :"expressomail-icon-save_and_send"
-			}
-		})
-	$("#content_id_"+ID).find(".adress_button").button().click(function(){
-		emQuickSearch($("#"+($(this).attr("name"))+"_"+ID).val(), $(this).attr("name"), ID, undefined, true);
-	});
-	
-	$("#send_button_"+ID).button({
-		icons : {
-			primary : "expressomail-icon-send"
-		}
-	}).next().button({
-		icons : {
-			primary : "expressomail-icon-save"
-		}
-	});
-	$("#content_id_"+ID).find("[name=return_receipt_"+ID+"]").button({
-		icons : {
-			primary : "expressomail-icon-read-confirmation"
-		}
-	});
-	$("#important_message_options_"+ID).button({
-		icons : {
-			primary : "expressomail-icon-important"
-		}
-	});
-	$("#return_digital_options_"+ID).button({
-		icons : {
-			primary : "expressomail-icon-signature"
-		}
-	});
-	$("#return_cripto_options_"+ID).button({
-		icons : {
-			primary : "expressomail-icon-encryption"
-		}
-	});
-
-	$("#content_id_"+ID).find(".send_option").click(function(){
-		var check = $("#"+$(this).attr("name")).attr("checked");
-		$("#"+$(this).attr("name")).attr("checked", (!check ? true : false));
-		$(this).toggleClass("expressomail-button-icon-ative");
-	});
-	
+//        
 	return ID;
 }
Index: /trunk/expressoMail1_2/js/rich_text_editor.js
===================================================================
--- /trunk/expressoMail1_2/js/rich_text_editor.js	(revision 5496)
+++ /trunk/expressoMail1_2/js/rich_text_editor.js	(revision 5604)
@@ -145,116 +145,5 @@
 }
 
-cRichTextEditor.prototype.createImage = function(){
-                
-	var form = document.getElementById("attachment_window");
-        
-	if (form == null){
-		form = document.createElement("DIV");
-		form.id  = "attachment_window";
-		form.style.visibility = "hidden";
-		form.style.position = "absolute";
-		form.style.background = "#eeeeee";
-		form.style.left = "0px";
-		form.style.top  = "0px"; 
-		form.style.width = "0px";
-		form.style.height = "0px";
-		document.body.appendChild(form);
-	}
-		var form_upload = Element('form_upload');
-		if (form_upload == null)
-			form_upload = document.createElement("DIV");
-		form_upload.id = "form_upload";
-		form_upload.style.position = "absolute";
-		form_upload.style.top = "5px";
-		form_upload.style.left = "5px";
-		form_upload.name = get_lang("Upload File");
-		form_upload.style.width = "450px";
-		form_upload.style.height = "75px";
-		form_upload.innerHTML = get_lang('Select the desired image file')+':<br>'+
-		'<input name="image_at" maxlength="255" size="40" id="inputFile_img" type="file"><br>' +
-		'<input title="' + get_lang('Include') + '"  value="' + get_lang('Include') + '"' + 
-                'type="button" onclick="RichTextEditor.addInputFile();">&nbsp;' +
-		'<input title="' + get_lang('Close') + '"  value="' + get_lang('Close') + '"' +
-		' type="button" onclick="win.close()">';
-		form.appendChild(form_upload);
-		
-		this.showWindow(form);
-}
-cRichTextEditor.prototype.showWindow = function (div){
-
-		if(! div) {
-			return;
-		}
-		
-		if(! this.emwindow[div.id]) {
-			div.style.width  =  div.firstChild.style.width;
-			div.style.height = div.firstChild.style.height;
-			div.style.zIndex = "10000";			
-			var title = div.firstChild.name;
-			var wHeight = div.offsetHeight + "px";
-			var wWidth =  div.offsetWidth   + "px";
-			div.style.width = div.offsetWidth - 5;
-
-			win = new dJSWin({
-				id: 'win_'+div.id,
-				content_id: div.id,
-				width: wWidth,
-				height: wHeight,
-				title_color: '#3978d6',
-				bg_color: '#eee',
-				title: title,
-				title_text_color: 'white',
-				button_x_img: '../phpgwapi/images/winclose.gif',
-				border: true});
-			
-			this.emwindow[div.id] = win;
-			win.draw();
-		}
-		else
-			win = this.emwindow[div.id];
-		win.open();	
-}
-cRichTextEditor.prototype.addInputFile = function()
-{
-	//Begin: Verify if the image extension is allowed.
-	var imgExtensions = new Array("jpeg", "jpg", "gif", "png", "bmp", "xbm", "tiff", "pcx");
-	var inputFile = document.getElementById('inputFile_img');	
-	if(!inputFile.value) return false;
-	var fileExtension = inputFile.value.split(".");
-	fileExtension = fileExtension[(fileExtension.length-1)];
-	var deniedExtension = true;
-	for(var i=0; i<imgExtensions.length; i++) {
-		if(imgExtensions[i].toUpperCase() == fileExtension.toUpperCase()) {
-			deniedExtension = false;
-			break;
-		}
-	}
-	if(deniedExtension) {
-		alert(get_lang('File extension forbidden or invalid file') + '.');
-		return false;
-	}
-	// End: Verify image extension.
-        var id =  currentTab;
-	divFiles = document.getElementById("divFiles_"+id);
-	var countDivFiles = divFiles.childNodes.length + 1;
-
-	var divFiles = document.getElementById('divFiles_'+id);
-	inputFile.id = 'inputFile_'+id +"_"+countDivFiles;
-	inputFile.name = 'file_'+countDivFiles;
-	divFile = document.createElement('DIV');
-	divFile.appendChild(inputFile);
-	divFiles.appendChild(divFile);
-
-	var form_upload = document.getElementById('form_upload');
-	form_upload.parentNode.removeChild(form_upload);
-	win.close();
-
-	RichTextEditor.saveFlag = 0; // See if save function finished
-	var save_link = document.getElementById("save_message_options_"+id);
-	save_link.onclick = function () {};
-        this.newImageId = new Date().getTime();
-        CKEDITOR.instances['body_'+id].insertHtml('<img id="'+this.newImageId+'" src=""/>');
-	save_msg(id,true);
-}
+
 
 cRichTextEditor.prototype.execPosInstance = function(inst) {
